Bug 576724 - Rename & merge review: rng-tools - Random number generator utilities
Summary: Rename & merge review: rng-tools - Random number generator utilities
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Susi Lehtola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 226375 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-24 22:38 UTC by Jeff Garzik
Modified: 2013-07-03 02:37 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-04 03:25:05 UTC
susi.lehtola: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Jeff Garzik 2010-03-24 22:38:59 UTC
Spec URL: http://gtf.org/garzik/rng-tools/rng-tools.spec
SRPM URL: http://gtf.org/garzik/rng-tools/rng-tools-2-1.fc11.src.rpm
Description: Support utilities for hardware random number generators.  

NOTE: This is a rename of an existing package, rng-utils, to conform to Fedora package naming guidelines.  The upstream package name is "rng-tools", and it is being renamed FROM "rng-utils" TO "rng-tools" to conform to upstream.

Comment 1 Susi Lehtola 2010-03-25 01:11:17 UTC
Oh, you made a new review. Assigning.

Comment 2 Susi Lehtola 2010-03-25 01:11:39 UTC
*** Bug 226375 has been marked as a duplicate of this bug. ***

Comment 3 Susi Lehtola 2010-03-25 08:54:51 UTC
$ rpmlint rng-tools-*
rng-tools.src: W: invalid-url Source0: http://download.sourceforge.net/gkernel/rng-tools-2.tar.gz HTTP Error 404: Not Found
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

- Change
 Requires:       /sbin/chkconfig /sbin/service
to
 Requires: chkconfig initscripts
to speed up dependency resolution.

- Patch1 but no Patch0?

- Must Obsoletes: rng-utils <= 1:2.0-4 .

- Source URL should be
 http://downloads.sourceforge.net/gkernel/rng-tools-2.tar.gz
not
 http://download.sourceforge.net/gkernel/rng-tools-2.tar.gz
Ideally %{version} macro should be used here.

- %configure picks up correct compiler flags.
 make CFLAGS="$RPM_OPT_FLAGS"
should be
 make %{?_smp_mflags}
to enable SMP compilation.

- Macros are mixed. After correction of above (make) problem, there aren't any macro problems any more.

- You can drop
 mkdir -p %{buildroot}%{_sbindir}
 mkdir -p %{buildroot}%{_initrddir}
 mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
 mkdir -p %{buildroot}%{_mandir}/man{1,8}
as this is (or at least should be!) automatically done by make install.

- If you
 %define _sbindir /sbin
at the top of the spec file, you can use plain %configure and %{_sbindir} in
%files.

- You might want to change the .gz suffixes of the man pages to .* in %files.

- Add AUTHORS, ChangeLog, COPYING, NEWS and README to %doc.

Comment 4 Jeff Garzik 2010-03-25 17:16:17 UTC
Addressed these comments.  Thanks for the review.

Updated SPEC (same URL): http://gtf.org/garzik/rng-tools/rng-tools.spec
Updated SRPM: http://gtf.org/garzik/rng-tools/rng-tools-2-2.fc11.src.rpm

Comment 5 Susi Lehtola 2010-03-26 12:34:39 UTC
- The sbindir define should actually be a global.

- The buildroot tag is obsolete, use
 BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
instead.

***

rpmlint output:
rng-tools.x86_64: W: obsolete-not-provided rng-utils
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

This is OK.


MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. N/A
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. N/A
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Debuginfo package is complete. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. N/A
MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. OK
MUST: Header files must be in a -devel package. N/A
MUST: Static libraries must be in a -static package. N/A
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. N/A
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. N/A
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. N/A
MUST: Packages does not contain any .la libtool archives. N/A
MUST: Desktop files are installed properly. N/A
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK

The package has been

APPROVED

Comment 6 Jeff Garzik 2010-03-26 15:00:25 UTC
How does one make the sbindir define global?

Comment 7 Susi Lehtola 2010-03-26 16:04:25 UTC
Just use %global instead of %define.

https://fedoraproject.org/wiki/Packaging/Guidelines#.25global_preferred_over_.25define

Comment 8 Jeff Garzik 2010-03-26 16:25:02 UTC
Thanks.  Updated for your comments, here is the latest:

Spec URL: http://gtf.org/garzik/rng-tools/rng-tools.spec
SRPM URL: http://gtf.org/garzik/rng-tools/rng-tools-2-3.fc11.src.rpm

Comment 9 Susi Lehtola 2010-03-26 16:35:26 UTC
Still approved. Continue by applying for cvs branch, marking rng-utils as dead in cvs and requesting its removal from rawhide.

Comment 10 Jeff Garzik 2010-03-26 16:37:54 UTC
New Package CVS Request
=======================
Package Name: rng-tools
Short Description: Hardware random number generator utilities
Owners: jgarzik
Branches: F-11 F-12 F-13
InitialCC:

Comment 11 Kevin Fenzi 2010-03-30 21:40:50 UTC
CVS done (by process-cvs-requests.py).

Comment 12 Susi Lehtola 2010-04-08 20:09:01 UTC
Ping.

- Mark rng-utils as dead in CVS and request its removal from rawhide.

- Import the other branches, build the packages and file the updates to them.

Comment 13 Susi Lehtola 2010-07-03 23:36:17 UTC
Jeff: please finish this off.


Note You need to log in before you can comment on or make changes to this bug.